Author Topic: PHP memcached extenstion centos 6.2 libmemcached location error  (Read 4046 times)

Savera

  • Full Member
  • ***
  • Posts: 159
I installed memcached using yum and then install libmemcached library through yum with following command:
Code: [Select]
yum install libmemcachedIt installed fine but when I tried to install memecached php extension through pecl , i get error :

Code: [Select]
checking for libmemcached location... configure: error: memcached support
requires libmemcached. Use --with-libmemcached-dir= to specify the prefix
where  libmemcached headers and library are located

I have installed libmemcached then why it is not working or able to find ?

Savera

  • Full Member
  • ***
  • Posts: 159
Re: PHP memcached extenstion centos 6.2 libmemcached location error
« Reply #1 on: July 06, 2012, 01:47:50 PM »
Nevermind, I solved this problem by install libmemcached manually from source and then it was resolved.

I did following steps:
wget http://launchpad.net/libmemcached/1.0/1.0.4/+download/libmemcached-1.0.4.tar.gz
tar xvfz libmemcached-1.0.4.tar.gz
cd libmemcached-1.0.4
./configure

Then I ran
pecl install memcached

and done :)

 

X

Do you know?

By participating in our community you can get free top level domain as well learn about Search Engine Optimization, Server management and more..
Join Now!
anything